View Issue Details

IDProjectCategoryView StatusLast Update
0003580SymmetricDSImprovementpublic2018-09-21 03:12
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003580: Treat misconfiguration more serious: initial.load.use.extract.job.enabled=true and stream.to.file.enabled=false
DescriptionPreviously this would log an error on 3.9. On 3.8 there is a silent failure of empty pulls which is tricky to troubleshoot. Now in 3.9 we won't allow the node to start because of the seriousness of this misconfiguration. Basically, with this configuration, replication could be completely halted at any time by issuing a table reload.

3.9 will now log this at startup (and a similiar message from the RouterService is this is changed on a live system):

2018-05-24 13:23:49,748 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-3] An error occurred while starting SymmetricDS (org.slf4j.helpers.SubstituteLogger.error(SubstituteLogger.java:281))
org.jumpmind.symmetric.SymmetricException: Node '002' is configured with confilcting parameters which may result in replication stopping and/or empty load batches. One of these two parameters needs to be changed: initial.load.use.extract.job.enabled=true and stream.to.file.enabled=false
    at org.jumpmind.symmetric.AbstractSymmetricEngine.checkSystemIntegrity(AbstractSymmetricEngine.java:747)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.start(AbstractSymmetricEngine.java:648)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.start(AbstractSymmetricEngine.java:634)
    at org.jumpmind.symmetric.ClientSymmetricEngine.start(ClientSymmetricEngine.java:272)
    at org.jumpmind.symmetric.web.SymmetricEngineHolder$EngineStarter.run(SymmetricEngineHolder.java:598)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    at java.lang.Thread.run(Thread.java:745)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 cd1f4c17

2018-05-24 13:29:00

mmichalek

Details Diff
0003580: Treat misconfiguration more serious:
initial.load.use.extract.job.enabled=true and
stream.to.file.enabled=false

0003580
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-05-24 13:28 mmichalek New Issue
2018-05-24 13:28 mmichalek Status new => assigned
2018-05-24 13:28 mmichalek Assigned To => mmichalek
2018-05-24 13:30 mmichalek Status assigned => resolved
2018-05-24 13:30 mmichalek Resolution open => fixed
2018-05-24 13:30 mmichalek Fixed in Version => 3.9.8
2018-05-24 14:00 mmichalek Changeset attached => SymmetricDS 3.9 cd1f4c17
2018-06-05 16:55 mmichalek Status resolved => closed